Overview | Package | Class | Tree | Deprecated | Index | Help
| SVNKit Home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.tmatesoft.svn.core.javahl
Class JavaHLAuthenticationStorage

    java.lang.Object
      org.tmatesoft.svn.core.javahl.JavaHLAuthenticationStorage

All Implemented Interfaces:
  org.tmatesoft.svn.core.internal.wc.ISVNAuthenticationStorage

public class JavaHLAuthenticationStorage
extends Object
implements org.tmatesoft.svn.core.internal.wc.ISVNAuthenticationStorage

Version:
  1.3
Author:
  TMate Software Ltd.

Constructor Summary
`JavaHLAuthenticationStorage()`

Method Summary
`void` | `clear()`
`Object` | `getData(String kind, String realm)`
`void` | `putData(String kind, String realm, Object data)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JavaHLAuthenticationStorage

    public JavaHLAuthenticationStorage()

Method Detail

### putData

    public void putData(String kind,
                        String realm,
                        Object data)

  Specified by:
    `putData` in interface `org.tmatesoft.svn.core.internal.wc.ISVNAuthenticationStorage`

### getData

    public Object getData(String kind,
                          String realm)

  Specified by:
    `getData` in interface `org.tmatesoft.svn.core.internal.wc.ISVNAuthenticationStorage`

### clear

    public void clear()

Overview | Package | Class | Tree | Deprecated | Index | Help
| SVNKit Home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2009 TMate Software Ltd. All Rights Reserved.